Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.queries
Interface AccessibilityQueryImplementation

    public interface AccessibilityQueryImplementation

Permits providers to mark certain Java packages as being inaccessible to outside code despite possibly containing public classes.

A default implementation is registered by the `org.netbeans.modules.java.project` module which looks up the project corresponding to the file (if any) and checks whether that project has an implementation of this interface in its lookup. If so, it delegates to that implementation. Therefore it is not generally necessary for a project type provider to register its own global implementation of this query, if it depends on the Java Project module and uses this style.

Since:
  org.netbeans.api.java/1 1.4
See Also:
  `AccessibilityQuery`, `FileOwnerQuery`, `Project`

Method Summary
`Boolean` | `isPubliclyAccessible(FileObject pkg)` Checks whether a given Java package (folder of source files) is intended to be publicly accessed by code residing in other compilation units.

Method Detail

### isPubliclyAccessible

    Boolean isPubliclyAccessible(FileObject pkg)

  Checks whether a given Java package (folder of source files) is intended to be publicly accessed by code residing in other compilation units.

  Parameters:
    `pkg` - a Java source package
  Returns:
    true if it is definitely intended for public access, false if it is definitely not, or null if nothing is known about it

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.